// ==UserScript==
// @name         Mann Co. Store Giveaway Autojoiner
// @namespace    http://tampermonkey.net/
// @version      2025-02-15
// @description  Tries to join giveaways on page load
// @author       Abhorrent_Anger
// @include      /^https?:\/\/mannco\.store\/giveaways.?$/
// @icon         https://www.google.com/s2/favicons?sz=64&domain=mannco.store
// @grant        none
// @require https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js
// @require https://cdn.jsdelivr.net/gh/CoeJoder/waitForKeyElements.js@v1.3/waitForKeyElements.js
// @run-at document-end
// ==/UserScript==

setTimeout(function () { location.reload(); }, 90 * 60 * 1000);

waitForKeyElements('a.raffle-list__item.list-group-item.list-group-item-action.raffleitem.isv.first', () => {
    setTimeout(function () {
        $('span[data-bs-title="Joined"][style*="display: none"]').each(function () {
            let raffle = $(this).attr('url');
            let raffleJoinURL = 'https://mannco.store/requests/raffle.php?mode=join&url=' + raffle;
            $.ajax({
                method: "GET",
                xhrFields: {
                    withCredentials: true
                },
                url: raffleJoinURL,
                success: function (data) {
                    console.log('Tried to join ' + raffle + ' raffle, output: ' + data);
                }
            });
        });
        console.log('Done with raffle join attempts');
    }, 2000);
});